<template>
	<view class="ax ax-ios-indicator" :style="[style]"></view>
</template>

<script>
	export default {
		name:"ax-ios-indicator",
		props:{
			// 偏差调整
			offset:{type:[Number,String],default:10},
			// 最小值
			min:{type:[Number,String],default:0},
		},
		computed:{
			height(){
				const e = uni.getSystemInfoSync();
				var h = e.screenHeight - e.safeArea.bottom - (Number(this.offset) || 0);
				return Math.max( Number(this.min) || 0,h);
			},
			style(){
				return {
					height: `${this.height}px`
				}
			}
		}
	}
</script>

<style scoped>
@import url(../ax/ax.css);

.ax-ios-indicator{
	height: 34px;
}
</style>